Subject: Re: [PATCH v3 2/6] notes: replace pseudorefs with real refs

From: Michael Haggerty <[email-masked]>
Date: Wed, 29 Jul 2015 02:56:29 +0200

Johan Herland <[email-masked]> writes:
> Here is where we start to differ. I would say that starting a notes
> merge is completely unrelated to your worktree. Consider this:

It sounds like what a notes merge really wants is a new linked worktree
that has branch refs/notes/foo checked out:

* This would allow multiple notes merges to take place at the same time
provided they target different merge references.

* This would prevent multiple notes merges to the same notes reference
at the same time by the same mechanism that prevents the same branch
from being checked out in two linked worktrees at the same time.

It's just a thought; I have no idea whether it is practical...

Michael

-- 
Michael Haggerty
[email-masked]